# -*- coding: utf-8 -*-
import logging, mv_common
#import os

def setup_web_auth(UseMythWEB_auth):
    if  mv_common.read_config(mv_common.module_config,"webuser")  == False  :
        logging.info("____Skipping of webuser, config disabled____")
        return

    logging.info("____Start of setup_web_auth____")
    if UseMythWEB_auth == str(1):
        #enable auth
        logging.info("    Enabling authorization for mythweb")
        cmd='''sed -i "s/^.*include.*auth-inc.conf.*$/include \\"\/etc\/lighttpd\/auth-inc.conf\\"/g" /etc/lighttpd/lighttpd.conf'''
        mv_common.runcmd(cmd)
    else:
        #disable auth
        logging.info("    Disabling authorization for mythweb")
        cmd='''sed -i "s/^.*include.*auth-inc.conf.*$/#include \\"\/etc\/lighttpd\/auth-inc.conf\\"/g" /etc/lighttpd/lighttpd.conf'''
        mv_common.runcmd(cmd)
    logging.debug("Restarting lighttpd")
    cmd="sudo sv restart lighttpd"
    mv_common.runcmd(cmd)
    logging.info("__End of webauth\n")

